Package org.eclipse.emf.cdo.common.id

# Interface CDOID

All Superinterfaces:
  `Comparable<CDOID>`, `Serializable`

All Known Subinterfaces:
  `CDOIDExternal`, `CDOIDObject`, `CDOIDString`, `CDOIDTemp`, `InternalCDOIDObject`

All Known Implementing Classes:
  `AbstractCDOID`

public interface CDOID extends Comparable<CDOID>, Serializable
Identifies CDO objects uniquely in a CDO `repository`.

Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static enum`
`CDOID.ObjectType`
Enumerates the possible sub types of CDO `IDs` with the main type `OBJECT`.
`static enum`
`CDOID.Type`
Enumerates the possible types of CDO `IDs`.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final CDOID`
`NIL`
`static final CDOID`
`NULL`

## Method Summary

Modifier and Type
Method
Description
`CDOID.Type`
`getType()`
`boolean`
`isDangling()`
Deprecated.
`boolean`
`isExternal()`
`boolean`
`isNil()`
`boolean`
`isNull()`
`boolean`
`isObject()`
`boolean`
`isTemporary()`
`String`
`toURIFragment()`

### Methods inherited from interface java.lang.Comparable

`compareTo`

## Field Details

### NULL

static final CDOID NULL

### NIL

static final CDOID NIL

Since:
  4.7

## Method Details

### getType

CDOID.Type getType()

### isNull

boolean isNull()

### isNil

boolean isNil()

Since:
  4.7

### isObject

boolean isObject()

### isTemporary

boolean isTemporary()

### isDangling

@Deprecated boolean isDangling()
Deprecated.

Since:
  3.0

### isExternal

boolean isExternal()

Since:
  2.0

### toURIFragment

String toURIFragment()

Since:
  2.0